Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.securityProvider
Interface UserProviderControl

All Superinterfaces:
  weblogic.jws.control.Control, com.bea.control.Control, Serializable

public interface UserProviderControl
extends weblogic.jws.control.Control

This control:

- is used as an interface to the Portal security provider functionality that is specific to users.

Control properties:

- atnProvider The name of the authentication provider to perform these operations on. If not configured, the default authentication provider will be used.
- doPostProcess If true, then do the post-user-creation process after successfully creating the user, which consists of authenticating the user, updating the profile in the session, firing a SessionLoginEvent, and firing a UserRegistrationEvent. Defaults to 'true'
- saveAnonymous If true, then save any properties the user may have set during this Session before registering during the post-user-creation process. Defaults to 'true'
- fireEvent If true, then fire a user registration event during the post-user-creation process. Defaults to 'true'
- login If true, then login the user during the post-user-creation process. Defaults to 'true'

Security requirements: These are determined by the roles specified on the AtnSecurityProvider MBean for the application. For example: ``

See Also:
  `ProfileWrapper`

Nested Class Summary

Nested classes inherited from class com.bea.control.Control
`com.bea.control.Control.Callback`

Method Summary
`void` | `createUser(String username, String password, HttpServletRequest request)` Create a new user and return an object representing the user's information.
`void` | `createUserSimple(String username, String password)` Create a new user and return an object representing the user's information.
`List` | `getUserNames(String searchExpression, int limit)` Get a list of all user names
`void` | `removeUser(String username)` Removes a user from the system.
`void` | `setPassword(String username, String password)` Sets the password for a user in the realm.
`boolean` | `userExists(String username)` Determine whether a user exists

Method Detail

### createUser

    public void createUser(String username,
                           String password,
                           HttpServletRequest request)
                    throws UserAlreadyExistsException,
                           InvalidUsernameException,
                           LoginException,
                           InvalidPasswordException,
                           OperationNotSupportedException

  Create a new user and return an object representing the user's information. Use this API if you want to do post-processing on the user after creation, or if you want to override any of the default control properties described above.

  Parameters:
    `username` - The user's login name
    `password` - The user's password
    `request` - The HttpServletRequest
  Throws:
    `InvalidPasswordException` - if the password is malformed or otherwise invalid
    `InvalidUsernameException` - if the username is malformed or otherwise invalid
    `LoginException` - if the user cannot be logged in (assuming that option was chosen)
    `UserAlreadyExistsException` - if the username is already in use
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### createUserSimple

    public void createUserSimple(String username,
                                 String password)
                          throws UserAlreadyExistsException,
                                 InvalidUsernameException,
                                 InvalidPasswordException,
                                 OperationNotSupportedException

  Create a new user and return an object representing the user's information. Use this API if you don't care to do any post-processing on the user, nor perform any of the tasks described by the control property settings. Those properties will all be ignored and the user created with no further action.

  Parameters:
    `username` - The user's login name
    `password` - The user's password
  Throws:
    `InvalidPasswordException` - if the password is malformed or otherwise invalid
    `InvalidUsernameException` - if the username is malformed or otherwise invalid
    `UserAlreadyExistsException` - if the username is already in use
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### getUserNames

    public List getUserNames(String searchExpression,
                             int limit)
                      throws OperationNotSupportedException

  Get a list of all user names

  Parameters:
    `searchExpression` - a wildcard search expression
    `limit` - a limit of results to return
  Returns:
    a List of all user names matching the search expression
  Throws:
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### removeUser

    public void removeUser(String username)
                    throws InvalidUsernameException,
                           OperationNotSupportedException

  Removes a user from the system. This will remove both the realm and profile records for this user. Security constraints should restrict use of this method to administrators only.

  Parameters:
    `username` - the username of the user to remove
  Throws:
    `InvalidUsernameException` - if the user is protected and cannot be deleted
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### setPassword

    public void setPassword(String username,
                            String password)
                     throws InvalidPasswordException,
                            OperationNotSupportedException

  Sets the password for a user in the realm. Security constraints should restrict use of this method to administrators only.

  Parameters:
    `username` - the username of the user
    `password` - the new password for the user
  Throws:
    `InvalidPasswordExceptionif` - the password is malformed or otherwise invalid
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation
    `InvalidPasswordException`

### userExists

    public boolean userExists(String username)
                       throws OperationNotSupportedException

  Determine whether a user exists

  Parameters:
    `username` - The user (login) name of the user
  Returns:
    true if the user exists, false if cannot find user of this name
  Throws:
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved